Name:          json-path
Version:       0.9.1
Release:       8%{?dist}
Summary:       Java JsonPath implementation
# Some files in src/main/java/com/jayway/jsonassert/impl/matcher/ are licensed under BSD
License:       ASL 2.0 and BSD
URL:           https://github.com/jayway/JsonPath
Source0:       https://github.com/jayway/JsonPath/archive/%{name}-%{version}.tar.gz
# Disable test which fails on java8
Patch0:        %{name}-0.9.1-disable-tests.patch

BuildRequires: maven-local
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.minidev:json-smart)
BuildRequires: mvn(org.codehaus.jackson:jackson-mapper-asl)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.hamcrest:hamcrest-library)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
Java DSL for reading and testing JSON documents.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n JsonPath-%{name}-%{version}
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-dependency-plugin
# use web connection
rm -r json-path/src/test/java/com/jayway/jsonpath/JsonModelTest.java
%patch0 -p1

%mvn_file :%{name} %{name}
%mvn_file :%{name}-assert %{name}-assert

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct 17 2015 gil cattaneo <puntogil@libero.it> 0.9.1-7
- rebuild with json-smart 1.3.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 13 2015 gil cattaneo <puntogil@libero.it> 0.9.1-5
- fix Url tag

* Mon Feb 09 2015 gil cattaneo <puntogil@libero.it> 0.9.1-4
- introduce license macro

* Thu Jun 12 2014 gil cattaneo <puntogil@libero.it> 0.9.1-3
- fix license issues during review

* Thu Jun 12 2014 gil cattaneo <puntogil@libero.it> 0.9.1-2
- disable failed tests on java 8

* Thu Jun 12 2014 gil cattaneo <puntogil@libero.it> 0.9.1-1
- initial rpm
